package com.ruoyi.syzy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 院校院系专业对象 b_busi_wish_universities_department_major
 * 
 * @author mingxue
 * @date 2022-06-22
 */
public class BBusiWishUniversitiesDepartmentMajor extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 院系专业ID */
    private String id;

    /** 专业编码 */
    @Excel(name = "专业编码")
    private String code;

    /** 专业名称 */
    @Excel(name = "专业名称")
    private String name;

    /** 院系专业ID */
    @Excel(name = "院系专业ID")
    private String departmentId;

    /** 本专科 */
    @Excel(name = "本专科")
    private String level;

    /** 本专科 */
    @Excel(name = "本专科")
    private String levelText;

    /** 学校编码 */
    @Excel(name = "学校编码")
    private String collegeCode;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setDepartmentId(String departmentId) 
    {
        this.departmentId = departmentId;
    }

    public String getDepartmentId() 
    {
        return departmentId;
    }
    public void setLevel(String level) 
    {
        this.level = level;
    }

    public String getLevel() 
    {
        return level;
    }
    public void setLevelText(String levelText) 
    {
        this.levelText = levelText;
    }

    public String getLevelText() 
    {
        return levelText;
    }
    public void setCollegeCode(String collegeCode) 
    {
        this.collegeCode = collegeCode;
    }

    public String getCollegeCode() 
    {
        return collegeCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("name", getName())
            .append("departmentId", getDepartmentId())
            .append("level", getLevel())
            .append("levelText", getLevelText())
            .append("collegeCode", getCollegeCode())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
